- [HTTP request](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/create#try-it)

Creates a notification subscription for a business. For standalone or sub-accounts, the business can create a subscription for self. For advanced accounts, the business can create a subscription for all managed accounts or for a specific subaccount.

See [Decode notifications](https://developers.google.com/merchant/api/guides/accounts/notifications#decode_notifications) for information on how to decode the notification payload and how to interpret its contents.

We will allow the following types of notification subscriptions to exist together (per business as a subscriber per event type):

1. Subscription for all managed accounts + subscription for self.

2. Multiple "partial" subscriptions for managed accounts + subscription for self.

we will not allow (per business as a subscriber per event type):

1. Multiple self subscriptions.

2. Multiple "all managed accounts" subscriptions.

3. "All managed accounts" subscription and partial subscriptions at the same time.

4. Multiple partial subscriptions for the same target account.

### HTTP request

`POST https://merchantapi.googleapis.com/notifications/v1/{parent=accounts/*}/notificationsubscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The merchant account that owns the new notification subscription. Format: `accounts/{account}` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).